Summary:        Python DB API 2.0 Module for ODBC
Name:           pyodbc
Version:        4.0.30
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/mkleehammer/pyodbc
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
Patch3000:      pyodbc-4.0.30-PyUnicode_AsUTF8String.patch

BuildRequires:  gcc-c++
BuildRequires:  unixODBC-devel python3-devel python3-setuptools
Recommends:     (postgresql-odbc if postgresql-server)
Recommends:     (mariadb-connector-odbc if mariadb-server)

%description 
This package provides a Python DB API 2 and 3 module for ODBC. This project provides an 
up-to-date, convenient interface to ODBC using native data types like datetime and decimal.

%package -n python3-%{name}
Summary:        Python DB API 2.0 Module for ODBC
Recommends: (mariadb-connector-odbc if mariadb-server)
Recommends: (postgresql-odbc if postgresql-server)
Provides:       python3-%{name} = %{version}-%{release}

%description -n python3-%{name}
This package provides a Python DB API 2 and 3 module for ODBC. This project provides an 
up-to-date, convenient interface to ODBC using native data types like datetime and decimal.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%py3_build

%install
%py3_install

%files -n python3-%{name}
%license LICENSE.txt
%doc README.md notes.txt
%{python3_sitearch}/*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.30-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.0.30-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Dec 16 2022 Wang Guodong <gordonwwang@tencent.com> - 4.0.30-1
- package init.
